## kodi-addon-peripheral-joystick-20.1.18-7.src.tar.gz

=== depends/common/tinyxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tinyxml)

set(SOURCES src/tinystr.cpp
            src/tinyxml.cpp
            src/tinyxmlerror.cpp
            src/tinyxmlparser.cpp)

if(WIN32)
  add_definitions(-DWIN32 -D_LIB)
endif()
add_definitions(-DTIXML_USE_STL)

add_library(tinyxml ${SOURCES})

include_directories(${PROJECT_SOURCE_DIR}/include)

set(HEADERS ${PROJECT_SOURCE_DIR}/include/tinystr.h
            ${PROJECT_SOURCE_DIR}/include/tinyxml.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
install(TARGETS tinyxml DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== depends/linux/libudev/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(libudev)

include(ExternalProject)

ExternalProject_Add(
    libudev
    SOURCE_DIR          ${CMAKE_SOURCE_DIR}
    CONFIGURE_COMMAND   <SOURCE_DIR>/autogen.sh
    COMMAND             <SOURCE_DIR>/configure
                            --prefix=${CMAKE_INSTALL_PREFIX}
                            --enable-static
                            --disable-shared
                            --with-pic
                            --enable-introspection=no
                            --disable-programs
                            --disable-blkid
                            --disable-selinux
                            --disable-manpages
                            --disable-kmod
                            --disable-mtd_probe
    INSTALL_COMMAND     ""
    BUILD_IN_SOURCE     1
)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== PKGBUILD ===
# Maintainer: BlackEagle <ike.devolder@gmail.com>>

pkgname=kodi-addon-peripheral-joystick
pkgver=20.1.18
_codename=Nexus  # No Omega tagged version yet
pkgrel=7
pkgdesc="Joystick support for Kodi"
arch=('x86_64')
url='https://github.com/xbmc/peripheral.joystick'
license=('GPL')
groups=('kodi-addons' 'kodi-addons-peripheral')
makedepends=('cmake' 'kodi-dev')
options=(!lto)
source=("$pkgname-$pkgver.tar.gz::https://github.com/xbmc/peripheral.joystick/archive/$pkgver-$_codename.tar.gz")
sha512sums=('49b7f2466c968a0d56384974408e3a5c036b5a88292c2d34de680cf458a48314bc65de8c3dced52c0a8d1993d035e266f74b7fcddb27eec46900a8d08fe86909')

build() {
    cd "peripheral.joystick-$pkgver-$_codename"
    cmake \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_SHARED_LIBS=1 \
        -DUSE_LTO=1 \
        .
    make
}

package() {
    depends=('kodi' 'kodi-platform')
    cd "peripheral.joystick-$pkgver-$_codename"
    make DESTDIR="$pkgdir/" install
}
